Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::delimit_fn Struct Reference
Inheritance diagram for ranges::views::delimit_fn:

## Synopsis of methods
constexpr delimit_fn | delimit {}

## Public Member Functions
template<typename Val >
constexpr auto | operator() (Val value) const
Public Member Functions inherited from ranges::views::delimit_base_fn
template<typename I_ , typename Val , typename I = detail::decay_t<I_>>
constexpr auto | operator() (I_ &&begin_, Val value) const -> delimit_view< subrange< I, unreachable_sentinel_t >, Val >
template<typename Rng , typename Val >
constexpr auto | operator() (Rng &&rng, Val value) const -> delimit_view< all_t< Rng >, Val >